Name:           tldr
Version:        3.2.0
Release:        1
Summary:        Simplified and community-driven man pages

License:        MIT
URL:            https://github.com/tldr-pages/tldr-python-client
Source0:        https://github.com/tldr-pages/tldr-python-client/archive/%{version}/%{name}-%{version}.tar.gz#/tldr-python-client-3.2.0.tar.gz

BuildArch:      noarch

BuildRequires:  python3-colorama 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-six
BuildRequires:  python3-termcolor
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-argparse
BuildRequires:  python3-shtab
# dependencies for %%check
BuildRequires:  python3-argcomplete
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

Requires:       python3-colorama
Requires:       python3-setuptools
Requires:       python3-six
Requires:       python3-termcolor

%description
A Python command line client for tldr - Simplified and community-driven
man pages http://tldr-pages.github.io/.

%prep
%autosetup -n %{name}-python-client-%{version} -p1
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
pushd docs
make man
popd
%py3_build

%install
%py3_install

%check
pytest -k "not test_error_message"

%files
%license LICENSE.md
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_mandir}/man1/tldr.1*
%{python3_sitelib}/%{name}.py
%{python3_sitelib}/__pycache__/*.pyc
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Jul 24 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 3.2.0-1
- upgrade version to 3.2.0

* Fri May 05 2023 yaoxin <yao_xin001@hoperun.com> - 3.1.0-2
- Fix compilation errors due to python-termcolor update to 2.3.0

* Fri Apr 21 2023 wulei <wu_lei@hoperun.com> - 3.1.0-1
- Upgrade package to version 3.1.0

* Thu Jun 24 2021 wulei <wulei80@huawei.com> - 1.2.1-1
- Initial package.
